Page MenuHomePhabricator

Write a new js config var containing the MediaInfo entity on the File page
Closed, ResolvedPublic

Description

... and use it in CaptionsPanel instead of using the data from the entityLoaded hook

This will give us the MediaInfo data before the hook fires, which simplifies the page load

Also see if it's possible to stop the hook from firing at all (maybe removing it from extension.json will work), because there's no point in executing that code if we already have the data

Event Timeline

Cparle created this task.Aug 1 2019, 11:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2019, 11:54 AM

As a blueprint on how to do it, this is how we removed the thing from wikibase: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/523737

egardner claimed this task.Aug 1 2019, 6:00 PM

Change 527560 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/WikibaseMediaInfo@master] CaptionsPanel: get MediaInfo entity data from JS Config var

https://gerrit.wikimedia.org/r/527560

Change 527560 merged by Eric Gardner:
[mediawiki/extensions/WikibaseMediaInfo@master] CaptionsPanel: get MediaInfo entity data from JS Config var

https://gerrit.wikimedia.org/r/527560

Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:54 PM
Cparle closed this task as Resolved.Sep 5 2019, 2:10 PM